%define desktopvendor fedora

Name:           ktorrent
Version:        3.0.1
Release:        3%{?dist}
Summary:        A BitTorrent program for KDE
Group:          Applications/Internet
License:        GPLv2+
URL:            http://ktorrent.pwsp.net/
Source0:        http://ktorrent.org/downloads/%{version}/ktorrent-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs4-devel >= 4
BuildRequires:  avahi-devel
BuildRequires:  cmake   
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires: 	qca2-devel
BuildRequires: 	giflib-devel
BuildRequires:  pcre-devel
BuildRequires: 	gmp-devel
Requires: oxygen-icon-theme

%description
KTorrent is a BitTorrent program for KDE. Its main features are native KDE
integration, download of torrent files, upload speed capping, internet
searching using various search engines, UDP Trackers and UPnP support.

%package        devel
Summary:        Headers and libraries for building apps that use ktorrent
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The headers and libraries used for developing applications on top of ktorrent.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
%{__rm} -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# validate desktop file
desktop-file-install --vendor ""                          \
        --dir %{buildroot}%{_datadir}/applications/kde4   \
        %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

%find_lang %{name}

%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
/sbin/ldconfig 2>/dev/null

%postun
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
/sbin/ldconfig 2>/dev/null

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_kde4_bindir}/gtk-update-icon-cache ]; then
   %{_kde4_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor 2> /dev/null || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING
%{_kde4_bindir}/ktorrent
%{_kde4_bindir}/ktupnptest
%{_kde4_libdir}/kde4/ktbwschedulerplugin.so
%{_kde4_libdir}/kde4/ktinfowidgetplugin.so
%{_kde4_libdir}/kde4/ktipfilterplugin.so
%{_kde4_libdir}/kde4/ktlogviewerplugin.so
%{_kde4_libdir}/kde4/ktscanfolderplugin.so
%{_kde4_libdir}/kde4/ktsearchplugin.so
%{_kde4_libdir}/kde4/ktstatsplugin.so
%{_kde4_libdir}/kde4/ktupnpplugin.so
%{_kde4_libdir}/kde4/ktwebinterfaceplugin.so
%{_kde4_libdir}/libbtcore.so.3
%{_kde4_libdir}/libbtcore.so.3.1.0
%{_kde4_libdir}/libktcore.so.3
%{_kde4_libdir}/libktcore.so.3.1.0
%{_kde4_libdir}/libktupnp.so.1
%{_kde4_libdir}/libktupnp.so.1.0.0
%{_kde4_datadir}/applications/kde4/ktorrent.desktop
%{_kde4_datadir}/icons/hicolor/128x128/apps/ktorrent.png
%{_kde4_datadir}/icons/hicolor/128x128/mimetypes/torrent.png
%{_kde4_datadir}/icons/hicolor/16x16/apps/ktorrent.png
%{_kde4_datadir}/icons/hicolor/16x16/mimetypes/torrent.png
%{_kde4_datadir}/icons/hicolor/22x22/actions/ktencrypted.png
%{_kde4_datadir}/icons/hicolor/22x22/actions/ktremove.png
%{_kde4_datadir}/icons/hicolor/22x22/actions/ktstart.png
%{_kde4_datadir}/icons/hicolor/22x22/actions/ktstart_all.png
%{_kde4_datadir}/icons/hicolor/22x22/actions/ktstop.png
%{_kde4_datadir}/icons/hicolor/22x22/actions/ktstop_all.png
%{_kde4_datadir}/icons/hicolor/22x22/apps/ktorrent.png
%{_kde4_datadir}/icons/hicolor/22x22/mimetypes/torrent.png
%{_kde4_datadir}/icons/hicolor/32x32/apps/ktorrent.png
%{_kde4_datadir}/icons/hicolor/32x32/mimetypes/torrent.png
%{_kde4_datadir}/icons/hicolor/48x48/actions/ktplugins.png
%{_kde4_datadir}/icons/hicolor/48x48/apps/ktorrent.png
%{_kde4_datadir}/icons/hicolor/48x48/mimetypes/torrent.png
%{_kde4_datadir}/icons/hicolor/64x64/actions/ktinfowidget.png
%{_kde4_datadir}/icons/hicolor/64x64/actions/ktqueuemanager.png
%{_kde4_datadir}/icons/hicolor/64x64/actions/ktupnp.png
%{_kde4_datadir}/icons/hicolor/64x64/apps/ktorrent.png
%{_kde4_datadir}/icons/hicolor/64x64/mimetypes/torrent.png
%{_kde4_datadir}/icons/hicolor/64x64/places/ktprefdownloads.png
%{_kde4_datadir}/kde4/apps/ktorrent
%{_kde4_datadir}/kde4/services/ktbwschedulerplugin.desktop
%{_kde4_datadir}/kde4/services/ktinfowidgetplugin.desktop
%{_kde4_datadir}/kde4/services/ktipfilterplugin.desktop
%{_kde4_datadir}/kde4/services/ktlogviewerplugin.desktop
%{_kde4_datadir}/kde4/services/ktscanfolderplugin.desktop
%{_kde4_datadir}/kde4/services/ktsearchplugin.desktop
%{_kde4_datadir}/kde4/services/ktstatsplugin.desktop
%{_kde4_datadir}/kde4/services/ktupnpplugin.desktop
%{_kde4_datadir}/kde4/services/ktwebinterfaceplugin.desktop
%{_kde4_datadir}/kde4/servicetypes/ktorrentplugin.desktop

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/libbtcore/bcodec/*.h
%{_kde4_includedir}/libbtcore/btcore_export.h
%{_kde4_includedir}/libbtcore/btversion.h
%{_kde4_includedir}/libbtcore/datachecker/*.h
%{_kde4_includedir}/libbtcore/dht/*.h
%{_kde4_includedir}/libbtcore/diskio/*.h
%{_kde4_includedir}/libbtcore/interfaces/*.h
%{_kde4_includedir}/libbtcore/migrate/*.h
%{_kde4_includedir}/libbtcore/mse/*.h
%{_kde4_includedir}/libbtcore/net/*.h
%{_kde4_includedir}/libbtcore/peer/*.h
%{_kde4_includedir}/libbtcore/torrent/*.h
%{_kde4_includedir}/libbtcore/tracker/*.h
%{_kde4_includedir}/libbtcore/util/*.h
%{_kde4_libdir}/libbtcore.so
%{_kde4_libdir}/libktcore.so
%{_kde4_libdir}/libktupnp.so
%{_kde4_datadir}/kde4/apps/cmake/modules/FindBTCore.cmake

%changelog
* Thu Apr 17 2008 Roland Wolters <wolters.liste@gmx.net> - 3.0.1-3
- bugfix update to version 3.0.1

* Tue Feb 19 2008 Roland Wolters <wolters.liste@gmx.net> - 3.0.0-7
- further spec file improvements for the 3.0.0 version

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.0.0-2
- Autorebuild for GCC 4.3

* Mon Feb 18 2008 Roland Wolters <wolters.liste@gmx.net> - 3.0.0-1
- first KDE 4 build

* Sun Jan 27 2008 Roland Wolters <wolters.liste@gmx.net> - 2.2.5-5
- updated to bugfix version 2.2.5
- fixed build-system-Qt problem in spec file

* Sat Dec 01 2007 Roland Wolters <wolters.liste@gmx.net> - 2.2.4-2
- changed build require from kdelibs-devel to kdelibs3-devel

* Thu Nov 21 2007 Roland Wolters <wolters.liste@gmx.net> - 2.2.4-1
- bugfix update to version 2.2.4

* Fri Nov 16 2007 Roland Wolters <wolters.liste@gmx.net> - 2.2.3-2
- fixed version number for libktorrent file (2.2.2 for now)

* Thu Nov 15 2007 Roland Wolters <wolters.liste@gmx.net> - 2.2.3-1
- features and bugfix update to version 2.2.3

* Wed Aug 19 2007 Roland Wolters <wolters.liste@gmx.net> - 2.2.2-1
- bugfix update to version 2.2.2

* Thu Aug 16 2007 Roland Wolters <wolters.liste@gmx.net> - 2.2.1-3
- licence tag corrected

* Wed Jul 25 2007 Jesse Keating <jkeating@redhat.com> - 2.2.1-2
- Rebuild for RH #249435

* Tue Jul 24 2007 Roland Wolters <wolters.liste@gmx.net> 2.2.1-1
- update to bugfix upstream 2.2.1

* Fri Jul 06 2007 Roland Wolters <wolters.liste@gmx.net> 2.2-2
- spec-file fixes re-included

* Tue Jul 03 2007 Roland Wolters <wolters.liste@gmx.net> 2.2-1
- update to upstream 2.2:
	- cleaner UI
	- - New file selection dialog
	- Statistics plugin with pretty graphs
	- Possibility to open as many tabs as you want
	- Diskspace monitoring and stopping of downloads when the diskspace
	  drops below a certain value
	- Individual torrent speed limits
	- Full disk preallocation to avoid fragmentation

* Wed Jun 13 2007 Roland Wolters <wolters.liste@gmx.net> 2.2rc1-1
- update to upstream 2.2rc1

* Tue Apr 03 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 2.1.3-1
- ktorrent-2.1.3 (#235014)
- optimize %%configure

* Fri Mar 09 2007 Roland Wolters <wolters.liste@gmx.net> 2.1.2-2
- update to upstream 2.1.2

* Mon Mar 05 2007 Roland Wolters <wolters.liste@gmx.net> 2.1.1-2
- update to upstream 2.1.1

* Wed Feb 07 2007 Roland Wolters <wolters.liste@gmx.net> 2.1-7
- spec-file adjustments

* Wed Feb 07 2007 Roland Wolters <wolters.liste@gmx.net> 2.1-6
- fixed plugins bug
- fixed configure warnings

* Tue Feb 06 2007 Roland Wolters <wolters.liste@gmx.net> 2.1-4
- added avahi-devel dependecy

* Mon Feb 05 2007 Roland Wolters <wolters.liste@gmx.net> 2.1-3
- Update to upstream version 2.1

* Fri Oct 13 2006 Roland Wolters <wolters.liste@gmx.net> 2.0.3-4
- Update to upstream version 2.0.3
- added znow patch for ppc

* Thu Sep 07 2006 Roland Wolters <wolters.liste@gmx.net> 2.0.2-3
- mass rebuild

* Tue Aug 30 2006 Roland Wolters <wolters.liste@gmx.net> 2.0.2-1
- minor bugfix update

* Tue Aug 29 2006 Roland Wolters <wolters.liste@gmx.net> 2.0.1-3
- mass rebuild

* Mon Aug 21 2006 Roland Wolters <wolters.liste@gmx.net> 2.0.1-1
- update to version 2.0.1

* Sun Aug 20 2006 Roland Wolters <wolters.liste@gmx.net> 2.0-6
- increased minor version to avoid broken update path

* Mon Aug 14 2006 Roland Wolters <wolters.liste@gmx.net> 2.0-3
- fixed small errors in spec file

* Wed Aug 09 2006 Roland Wolters <wolters.liste@gmx.net> 2.0-1
- update to version 2.0

* Fri Jun 23 2006 Roland Wolters <wolters.liste@gmx.net> 1.2-6
- fixed doublication error in rpm spec
- spec file polishing

* Fri Jun 23 2006 Roland Wolters <wolters.liste@gmx.net> 1.2-5
- added %{_datadir}/apps/ktorrent
- removed redundant KTorrent in summary

* Wed Jun 21 2006 Roland Wolters <wolters.liste@gmx.net> 1.2-4
- changed e-mail address to correct packager address

* Wed Apr  5 2006 Roland Wolters <rolandwolters@web.de> 1.2-3
- corrected *.desktop files
- changed icon scriplets

* Wed Apr  5 2006 Roland Wolters <rolandwolters@web.de> 1.2-2
- set vendor string to ""
- added gtk-update-icon-cache scriplets to post and postun
- added desktop-database scriplet because of MimeType in ktorrent.desktop
- moved %{_libdir}/kde3/* to main package
- moved %{_libdir}/libktorrent.so to main package
- configure with disable-static and enable-shared
- added %exclude %{_libdir}/lib*.la

* Mon Apr  3 2006 Roland Wolters <rolandwolters@web.de> 1.2-1
- initial packaging
